Skip to content

Get System Health

GET
/api/v1/system/health

Get comprehensive system health status.

Checks health of:

  • Database connection
  • Queue adapter
  • Storage adapter
  • Orchestrator

Args: debug: If true, include extended debug info (connection states, errors, etc.)

Returns: SystemHealthResponse with overall status and component details

debug
Debug

Include extended debug info

boolean

Include extended debug info

Successful Response

SystemHealthResponse

Overall system health with component details.

object
status
required
Status

Overall health status: healthy, degraded, unhealthy

string
components
required
Components

Component-level health checks

Array<object>
ComponentHealth

Health status for a single component.

object
name
required
Name

Component name

string
status
required
Status

Health status: healthy, degraded, unhealthy

string
message
Any of:
string
checked_at
Checked At

Check timestamp

string format: date-time
timestamp
Timestamp

Check timestamp

string format: date-time
uptime_seconds
Uptime Seconds

System uptime in seconds

number
0
debug
Any of:
SystemHealthDebug

Extended debug information for system health.

object
queue
Any of:
QueueDebugInfo

Debug information for queue/STOMP connection.

object
connected
required
Connected

Whether queue is connected

boolean
health_state
required
Health State

Health state: healthy, degraded, stalled, reconnecting

string
last_message_age_seconds
required
Last Message Age Seconds

Seconds since last message received

number
reconnect_attempts
Reconnect Attempts

Number of reconnect attempts

integer
0
reconnect_in_progress
Reconnect In Progress

Whether reconnection is in progress

boolean
active_subscriptions
Active Subscriptions

Active subscription IDs

Array<string>
subscription_states
Subscription States

Subscription states by ID

object
key
additional properties
SubscriptionState

State of a single subscription.

object
state
required
State

Subscription state

string
task_done
required
Task Done

Whether the task is complete

boolean
last_error
Any of:
QueueErrorInfo

Last error information for queue debugging.

object
type
Any of:
string
message
Any of:
string
traceback
Any of:
string
config
Config

Health config values

object
key
additional properties
any

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object